import React, { useState } from 'react';
import axios from 'axios';

import { Alert, Checkbox } from 'antd';

import LoginForm from './components/Login';
import styles from './style.less';

const { UserName, Password, Submit } = LoginForm;

const LoginMessage = ({ content }) => (
  <Alert
    style={{
      marginBottom: 24,
    }}
    message={content}
    type="error"
    showIcon
  />
);
const basicUrl = 'http://localhost:8080/Cityinterface/rest/services/OMS.svc/';

const Login = props => {
  const { userLogin = {}, submitting } = props;
  const { status, type: loginType } = userLogin;
  const [autoLogin, setAutoLogin] = useState(true);
  const [type, setType] = useState('account');
  const handleSubmit = values => {
    /* eslint-disable no-console */
    console.log(values); // eg:{userName: "123", password: "123"}
    axios
      .get(
        `${basicUrl}L_GetCheckUser?loginName=${values.userName}&password=${
          values.password
        }`,
      )
      .then(result => {
        console.log(result.data);
        if (result.data.success == true && result.data.pass == true) {
          const { userMode } = result.data;
          localStorage.setItem('userMode', userMode);
          if (userMode == 'admin' || userMode == 'super') {
            window.location.href = '/dbm/dbInit/';
          }
          if (userMode == 'common') {
            window.location.href = '/ou/orgList/';
          }
        } else {
          alert('错误，没有权限');
        }
      });
  };

  return (
    <div className={styles.main}>
      <LoginForm activeKey={type} onTabChange={setType} onSubmit={handleSubmit}>
        {status === 'error' && loginType === 'account' && !submitting && (
          <LoginMessage content="账户或密码错误（admin/ant.design）" />
        )}
        <UserName
          name="userName"
          placeholder="用户名: admin or user"
          rules={[
            {
              required: true,
              message: '请输入用户名!',
            },
          ]}
        />
        <Password
          name="password"
          placeholder="密码: ant.design"
          rules={[
            {
              required: true,
              message: '请输入密码！',
            },
          ]}
        />
        <div>
          <Checkbox
            checked={autoLogin}
            onChange={e => setAutoLogin(e.target.checked)}
          >
            自动登录
          </Checkbox>
          <a
            style={{
              float: 'right',
            }}
          >
            忘记密码
          </a>
        </div>
        <Submit loading={submitting}>登录</Submit>
      </LoginForm>
    </div>
  );
};

export default Login;
