import UserLayout from '../layouts/UserLayout';
import Login from '../pages/user/login';
import BasicLayout from '../layouts/BasicLayout';
import Welcome from '../pages/Welcome';
export default {
  routes: [
    {
      path: '/user',
      component: UserLayout,
      routes: [
        {
          name: 'login',
          path: '/user/login',
          component: Login,
        },
      ],
    },
    {
      path: '/',
      component: BasicLayout,
      routes: [
        {
          path: '/dbm/dbInit',
          name: '数据库初始化',
          component: Welcome,
        },
        {
          path: '/dbm/dbsm',
          name: '数据库标准化管理',
          component: Welcome,
        },
        {
          path: '/ou/orgList',
          name: '机构列表',
          component: Welcome,
        },
        {
          path: '/basicConfig',
          name: '基础通用配置',
          component: Welcome,
        },
        {
          path: '/web5/integration',
          name: '集成网站',
          component: Welcome,
        },
        {
          path: '/web5/single',
          name: '一般网站',
          component: Welcome,
        },
        {
          path: '/app',
          name: '手持系统配置',
          component: Welcome,
        },
        {
          path: '/miniPro',
          name: '小程序配置',
          authority: ['admin', 'user'],
          component: Welcome,
        },
        {
          path: '/log',
          name: '日志管理',
          component: Welcome,
        },
      ],
    },
  ],
};
